/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * ------------------------------------------------------------------------- $Id
 * : $ -------------------------------------------------------------------------
 */

package org.ow2.petals.se.quartz;

import org.ow2.petals.component.framework.api.message.Exchange;
import org.ow2.petals.component.framework.jbidescriptor.generated.Consumes;

/**
 * @author alouis
 */
public class QuartzUtils {
	
    public static String generateJobName(Consumes consume) {
        return "JOB_" + consume.getInterfaceName().toString() + "/"
                + consume.getServiceName().toString() + "/" + consume.getEndpointName();
    }

    public static String generateTriggerName(Consumes consume) {
        return "TRIGGER_" + consume.getInterfaceName().toString() + "/"
                + consume.getServiceName().toString() + "/" + consume.getEndpointName();
    }

    public static String generateServiceName(Exchange exchange) {
        if (exchange.getEndpoint() != null) {
            return exchange.getInterfaceName() + "/" + exchange.getService() + "/"
                    + exchange.getEndpoint().getEndpointName();
        } else if (exchange.getService() != null) {
            return exchange.getInterfaceName() + "/" + exchange.getService() + "/unknown";
        } else {
            return exchange.getInterfaceName() + "/unknown/unknown";
        }
    }
}
